local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostGridEntityRemove = __TS__Class()
local PostGridEntityRemove = ____exports.PostGridEntityRemove
PostGridEntityRemove.name = "PostGridEntityRemove"
__TS__ClassExtends(PostGridEntityRemove, CustomCallback)
function PostGridEntityRemove.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = function(____, fireArgs, optionalArgs)
        local _gridIndex, gridEntityType, variant = table.unpack(fireArgs)
        local callbackGridEntityType, callbackVariant = table.unpack(optionalArgs)
        return (callbackGridEntityType == nil or callbackGridEntityType == gridEntityType) and (callbackVariant == nil or callbackVariant == variant)
    end
    self.featuresUsed = {ISCFeature.GRID_ENTITY_UPDATE_DETECTION}
end
return ____exports
